package internal

import (
	"context"
	"golang.source-fellows.com/training-fellow/booking/internal/model"
)

type TrainingStore interface {
	FindTrainings(ctx context.Context) ([]*model.Training, error)
	AddNewTraining(ctx context.Context, training *model.Training) error
}

type TrainingListener interface {
	ListenForNewTrainings() chan *model.Training
}

type StateChecker interface {
	Available() bool
}
